Subject: bug#34375: Problem with the 'to input' information in what-cursor-position

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Feb 2019 12:40:26 +0200

> From: Andy Smith <[email-masked]>
> Date: Fri, 8 Feb 2019 10:18:21 +0000
> 
> (version)
> "GNU Emacs 26.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30)
>  of 2018-07-05"
> 
> Just to explain what I'm seeing. Apologies for having to use screenshot but the I'm not sure if the unicode stuff
> will translate well via email :-(
> 
> My point is that 'what-char-position' gives an incorrect instruction to the user for character 150. I think it should
> really say ....
> 
> to input:  type "C-8 RET 0150 ...."
> 
> instead of
> 
> to input:  type "C-8 RET 150 ...."

Are you seeing this problem in "emacs -Q"?  (It's "C-x 8 RET", btw,
not "C-8 RER", right?)

The character that you get is U+1009F LINEAR B IDEOGRAM B150.  Its
name includes "150" as a substring, so perhaps you did something that
caused Emacs to auto-complete the name?  Like typing TAB or using some
optional completion package?  That's why I ask about "emacs -Q".